Add DMC Postal Code Freight Rate
1 min
POST
https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-postal-code-freight-rate
postalCodestringThe postal code of the stored record which is to be updated.
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringUnique identifier for the site.
bodyarray
200<p>OK-the postal code rates are added successfully.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
curl --request POST \
--url https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-postal-code-freight-rate \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '[
{
"siteIds": [],
"postalCode": "",
"freightDeliveryRateRequest": {
"dropOff": "",
"dropOffPercentage": "",
"whiteGlove": "",
"whiteGlovePercentage": "",
"whiteGlovePlus": "",
"whiteGlovePlusPercentage": "",
"quantity": ""
}
}
]'